  <tr>
    <td>

<%
  String sJspName_PAGE = SzConvert.getJspName(request.getServletPath());
  int iFirstPage = 1;
  if (iPageCount>1) {
  	if (iCurrentPage<SzProperties.I_PageCount_APP/2) {
  		iFirstPage = 1;
  	} else if (iCurrentPage >= iPageCount - SzProperties.I_PageCount_APP/2) {
  		iFirstPage = iPageCount - SzProperties.I_PageCount_APP + 1;
  		
  	} else if (iCurrentPage <iPageCount - SzProperties.I_PageCount_APP/2) {
  		iFirstPage = iCurrentPage - SzProperties.I_PageCount_APP/2;
  	}
  	if (iFirstPage<1) {
  		iFirstPage = 1;
  	} else if (iFirstPage>iPageCount) {
  		iFirstPage = iPageCount;
  	}

  	for (int j =iFirstPage; j<=iPageCount && j < iFirstPage + SzProperties.I_PageCount_APP; j++) {
  	  out.print("<a href=\"#\" OnClick=\"javascript:FormSubmit(formPage,'" + sJspName_PAGE + "?page=" + j + "')\" onfocus=\"javascript:blur();\">");  		
  	  if (j == iCurrentPage) {
  	    out.print("<span class='ScrollButton1'>");
  	  } else {
  	  	out.print("<span class='ScrollButton0'>");
  	  }
  	  out.print(j);
  	  out.print("</span>");
  	  out.println("</a>");  
  	}
  }
%>
   </td>
  </tr>  
  <tr>
    <td>
<%
	out.print("<span class='product_name'>");
	out.print("共&nbsp;");
	out.print(iPageCount);
	out.print("&nbsp;页/&nbsp;");
	out.print(iRecordCount);
	out.print("&nbsp;记录&nbsp;");
	out.print("</span>");
%> 	
  	<!----快速查找---->
 	<input type="text" name="txtSearch" class="txtClassSearch" value="<%=sSearch.trim()%>" size="10" OnMouseOver="javascript:this.select();"  onkeydown="javascript:SearchEnterKey();">
  	<input type="button" name="btnGoPage" class="btnClassShort" value="检索"  OnClick="javascript:FormSubmit(formPage,'<%=sJspName_PAGE%>');">
<script language="javascript">
    function SearchEnterKey(e) {	
      //修改2011-11-03：支持safari,ff
      var et = e || window.event;
      if (et.keyCode) {
	  	if (et.keyCode == 13) {
	    	FormSubmitPage(formPage,'<%=sJspName_PAGE%>');
	  	}
      } else  if (et.which  == 13) {
	  	FormSubmitPage(formPage,'<%=sJspName_PAGE%>');
      }
    }
</script>
   
    </td>
  </tr>
